
Gisaf - Feature #8630

Map: add option for filter with status

08/07/2019 16:10 - Philippe May

Status: Resolved Start date: 08/07/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Currently, the layers displayed on the map contain all statuses (E, F, P...), which can be confusing.

Proposal: add an option on the left side bar, which would filter according to the selected status(es).

Associated revisions

Revision c0c0f569 - 09/07/2019 02:05 - Philippe May

Map: add filter on status (Refs #8630)

Revision 486951ef - 10/07/2019 16:42 - Philippe May

Fixes #8630: add "custom" attribute to LayerNode (layer in tree) and don't filter if the layer is custom or live; cleanup repo

History

#1 - 09/07/2019 12:35 - Philippe May

- Status changed from New to Resolved

Added dropdown menu to filter map elements based on the selected statuses.

The configuration of this menu lies in the Gisaf configuration files (ref: https://redmine.auroville.org.in/projects/gisaf/wiki/Wiki#Configuration)

#2 - 10/07/2019 12:20 - Philippe May

- Status changed from Resolved to In Progress

Reopening as a bug was introduced: layers without status do not show on map.

#3 - 10/07/2019 16:49 - Philippe May

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|486951ef50e8eedf950545986afcd14f28f8f643.
